Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE experimental overlay (genkdesvn) Part 7
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Wed Feb 25, 2009 2:43 pm    Post subject: Reply with quote

beso_1717 wrote:
i'm having another problem with nepomuk:

Quote:
>>> Starting src_compile
loading initial cache file /var/tmp/paludis/kde-base-nepomuk-scm/temp//gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:84 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
Call Stack (most recent call first):
CMakeLists.txt:7 (find_package)


Did you ever solve this one? In case not, or in case anyone else has a problem, try replacing "cmake-utils_src_compile" in the penultimate line of the ebuild with "gks-base_src_compile"
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Fri Feb 27, 2009 9:09 pm    Post subject: Reply with quote

2dimm wrote:
beso_1717 wrote:
i'm having another problem with nepomuk:

Quote:
>>> Starting src_compile
loading initial cache file /var/tmp/paludis/kde-base-nepomuk-scm/temp//gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:84 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
Call Stack (most recent call first):
CMakeLists.txt:7 (find_package)


Did you ever solve this one? In case not, or in case anyone else has a problem, try replacing "cmake-utils_src_compile" in the penultimate line of the ebuild with "gks-base_src_compile"


this sometimes compiles and sometimes doesn't i don't really understand why... i think that there are some sort of problems with cmake cache configuration...

modified:

now i'm struggling with another problem. ever since the update to qt-4.5_rc i've not been able to have qt4 based apps to display the correct fonts. i have a very big corruption issue with all qt4 based apps. reverting to qt 4.4 serie fixes this. has anyone experienced something similar?!
thanks.
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Tue Mar 10, 2009 9:15 am    Post subject: Reply with quote

beso_1717 wrote:

now i'm struggling with another problem. ever since the update to qt-4.5_rc i've not been able to have qt4 based apps to display the correct fonts. i have a very big corruption issue with all qt4 based apps. reverting to qt 4.4 serie fixes this. has anyone experienced something similar?!
thanks.


What do you exactly mean by "font corruption"? If you mean that some fonts which with qt 4.4 looked well suddenly became ugly, then I had the same problem. In particular, I noticed this with Courier 10 Pitch, which was my favourite fixed width font with 4.4 and suddenly become ugly with 4.5, especially at sizes below 11 pt. This morning, I tried playing a little with anti-aliasing settings in SystemSettings/Appearance/Fonts and it seems I was able to drastically improve the appearance of the font by setting the "Use anti aliasing" option to "System Settings".
_________________
Stefano
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Thu Mar 12, 2009 6:06 pm    Post subject: Reply with quote

Stefano Crocco wrote:
beso_1717 wrote:

now i'm struggling with another problem. ever since the update to qt-4.5_rc i've not been able to have qt4 based apps to display the correct fonts. i have a very big corruption issue with all qt4 based apps. reverting to qt 4.4 serie fixes this. has anyone experienced something similar?!
thanks.


What do you exactly mean by "font corruption"? If you mean that some fonts which with qt 4.4 looked well suddenly became ugly, then I had the same problem. In particular, I noticed this with Courier 10 Pitch, which was my favourite fixed width font with 4.4 and suddenly become ugly with 4.5, especially at sizes below 11 pt. This morning, I tried playing a little with anti-aliasing settings in SystemSettings/Appearance/Fonts and it seems I was able to drastically improve the appearance of the font by setting the "Use anti aliasing" option to "System Settings".


the problem seems to appear whenever i use vrgb font antialiasing with qt4.5. when using non vertical antialiasing the problem goes away....

edited:

now i have another problem. paludis now triggers an eapi error on a quite large number of kdesvn packages. has anyone had this issue?!
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Fri Mar 13, 2009 5:19 am    Post subject: Reply with quote

ever time i try to install kde4svn my system wants downgrade qt 5.4 to qt 4.2.2

any idea?

Code:


These packages will be installed:

* x11-libs/qt-core :4 [D 4.5.0 -> 4.4.2-r2]
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental, *kde-base/kdelibs-scm:kde-svn::kde4-experimental, 12 more
    -custom-cxxflags+ -debug+ -doc+ glib+ iconv+ -pch+ qt3support+ ssl+
    100.45 MBytes to download
* media-libs/fontconfig :1.0 [D 2.6.0-r2 -> 2.5.0-r1]
    Reasons: app-admin/eselect-fontconfig-1.0:0::installed, app-text/poppler-0.8.7:0::installed, 6 more
    -doc xml+
    1.32 MBytes to download
* x11-libs/qt-script :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo, kde-base/kate-scm:kde-svn::kde4-experimental, 2 more
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/libdrm [U 2.4.4 -> 2.4.5]
    Reasons: media-libs/mesa-7.3-r1:0::gentoo, x11-base/xorg-server-1.5.3-r4:0::gentoo, 1 more
    -debug
    550.19 kBytes to download
* media-libs/mesa [U 7.3 -> 7.3-r1]
    Reasons: virtual/glu-7.0:0::installed, virtual/opengl-7.0:0::installed, 1 more
    -debug -doc -motif nptl -pic xcb kernel: (-FreeBSD) video_cards: -intel -mach64 -mga -none -r128 radeon -s3virge -savage -sis (-sunffb) -tdfx -trident -via
    3.24 MBytes to download
* x11-libs/pixman [U 0.12.0 -> 0.14.0]
    Reasons: x11-base/xorg-server-1.5.3-r4:0::gentoo, x11-libs/cairo-1.8.6-r1:0::gentoo
    (-altivec) -debug mmx sse sse2
    344.36 kBytes to download
* media-libs/libsndfile [U 1.0.17-r1 -> 1.0.19]
    Reasons: media-libs/libsamplerate-0.1.7:0::installed, media-sound/jack-audio-connection-kit-0.116.2:0::installed, 1 more
    alsa -minimal+ sqlite
    902.70 kBytes to download
* gnome-base/orbit :2 [U 2.14.16 -> 2.14.17]
    Reasons: gnome-base/gconf-2.24.0:2::installed
    -doc
    729.98 kBytes to download
* sys-kernel/gentoo-sources :2.6.28-r3 [S 2.6.28-r3]
    Reasons: *virtual/linux-sources-2.6.28-r3::virtuals (virtual for sys-kernel/gentoo-sources-2.6.28-r3:2.6.28-r3::gentoo)
    -build -symlink
* sys-apps/hal [U 0.5.11-r8 -> 0.5.12_rc1]
    Reasons: app-misc/hal-info-20090309:0::gentoo, media-sound/pulseaudio-0.9.12:0::installed, 4 more
    X acpi -apm crypt -debug dell disk-partition -doc laptop (-selinux) kernel: (-FreeBSD) (linux)
    1.11 MBytes to download
* app-misc/hal-info [U 20090202 -> 20090309]
    Reasons: sys-apps/hal-0.5.12_rc1:0::gentoo
    134.00 kBytes to download
* x11-libs/cairo [U 1.8.6 -> 1.8.6-r1]
    Reasons: dev-python/pycairo-1.8.2:0::installed, x11-libs/gtk+-2.14.7-r2:2::gentoo, 1 more
    X -cleartype -debug directfb -doc glitz opengl svg xcb
    6.31 MBytes to download
* x11-terms/xterm [U 241 -> 242]
    Reasons: x11-apps/xinit-1.0.8-r4:0::installed
    -Xaw3d -toolbar truetype unicode
    849.14 kBytes to download
* x11-base/xorg-server [U 1.5.3-r2 -> 1.5.3-r4]
    Reasons: dev-python/pygtk-2.14.1:2::gentoo, x11-drivers/ati-drivers-8.582:0::gentoo, 8 more
    3dfx -debug -dmx hal -ipv6 -kdrive -minimal nptl sdl -tslib xorg input_devices: -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics evdev -fpit -hyperpen -jamstudio joystick keyboard -magellan -microtouch mouse -mutouch -palmax -penmount -spaceorb -summa synaptics -tek4957 -tslib -ur98 (-virtualbox)+ -vmmouse -void -wacom video_cards: -apm -ark -ast -chips -cirrus -dummy -epson fbdev fglrx -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -nv -nvidia -r128 radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion vesa -via (-virtualbox)+ -vmware -voodoo -xgi
    5.42 MBytes to download
* x11-drivers/xf86-input-evdev [U 2.1.2 -> 2.2.0-r1]
    Reasons: x11-base/xorg-server-1.5.3-r4:0::gentoo
    -debug hal
    281.34 kBytes to download
* x11-drivers/ati-drivers [U 8.561 -> 8.582]
    Reasons: x11-base/xorg-server-1.5.3-r4:0::gentoo
    acpi -debug kernel: (linux)
    79.43 MBytes to download
* x11-drivers/xf86-video-ati [U 6.10.0 -> 6.11.0]
    Reasons: x11-base/xorg-server-1.5.3-r4:0::gentoo
    -debug dri
    814.23 kBytes to download
* x11-drivers/xf86-video-vesa [U 2.1.0 -> 2.2.0]
    Reasons: x11-base/xorg-server-1.5.3-r4:0::gentoo
    -debug
    242.31 kBytes to download
* x11-libs/gtk+ :2 [U 2.14.7-r1 -> 2.14.7-r2]
    Reasons: app-crypt/pinentry-0.7.5-r1:0::installed, dev-python/pygtk-2.14.1:2::gentoo, 3 more
    X cups -debug -doc jpeg jpeg2k tiff -vim-syntax -xinerama
    16.67 MBytes to download
* dev-python/pygtk :2 [U 2.14.0 -> 2.14.1]
    Reasons: net-dns/avahi-0.6.24-r2:0::gentoo
    X -doc -examples
    2.11 MBytes to download
* net-dns/avahi [U 0.6.24 -> 0.6.24-r2]
    Reasons: kde-base/kdelibs-scm:kde-svn::kde4-experimental, media-sound/pulseaudio-0.9.12:0::installed, 1 more
    -autoipd -bookmarks dbus -doc gdbm gtk howl-compat ipv6 mdnsresponder-compat -mono python qt3 qt4 -test kernel: (linux)
    1.06 MBytes to download
* x11-libs/qt-dbus :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo, app-misc/strigi-scm:0::kde4-experimental, 2 more
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-gui :4 [D 4.5.0 -> 4.4.2-r3]
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental, *kde-base/kdelibs-scm:kde-svn::kde4-experimental, 8 more
    accessibility+ cups+ -custom-cxxflags+ dbus+ -debug+ glib+ mng+ -nas+ -nis+ -pch+ qt3support+ tiff+ -xinerama+ input_devices: -wacom+
* x11-libs/qt-sql :4 [D 4.5.0 -> 4.4.2-r1]
    Reasons: *x11-libs/qt-qt3support-4.4.2:4::gentoo, server-pim/akonadi-server-scm:0::kde4-experimental
    -custom-cxxflags+ -debug+ -firebird+ iconv+ -mysql+ -odbc+ -pch+ -postgres+ qt3support+ sqlite+
* x11-libs/qt-qt3support :4 [D 4.5.0 -> 4.4.2]
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental, *kde-base/kdelibs-scm:kde-svn::kde4-experimental, 2 more
    accessibility+ -custom-cxxflags+ -debug+ -pch+
* dev-util/cmake [D 2.6.2 -> 2.4.8]
    Reasons: app-misc/strigi-scm:0::kde4-experimental, dev-libs/soprano-scm:0::kde4-experimental, 6 more
    -emacs+ -vim-syntax+
    2.49 MBytes to download
* app-misc/strigi::kde4-experimental [N scm] <kde-deps-scm>
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental, *kde-base/kdelibs-scm:kde-svn::kde4-experimental
    "Fast crawling desktop search engine with Qt4 GUI."
    -debug exiv2 fam -inotify -log qt4 -test
* kde-base/automoc::kde4-experimental [N scm] <kde-deps-scm>
    Reasons: *kde-base/kdelibs-scm:kde-svn::kde4-experimental, *media-sound/phonon-scm:kde-svn::kde4-experimental, 1 more
    "KDE Meta Object Compiler"
* x11-libs/qt-test :4 [D 4.5.0 -> 4.4.2]
    Reasons: kde-base/kate-scm:kde-svn::kde4-experimental, kde-base/kdelibs-scm:kde-svn::kde4-experimental, 3 more
    -custom-cxxflags+ -debug+ -pch+
* media-sound/phonon::kde4-experimental :kde-svn [N scm] <kde-deps-scm>
    Reasons: *kde-base/kdelibs-scm:kde-svn::kde4-experimental
    "KDE multimedia API"
    -debug gstreamer
    * kde-base/phonon-xine::kde4-experimental :kde-svn [suggestion scm]
    Reasons: *media-sound/phonon-scm:kde-svn::kde4-experimental
    "KDE Phonon Xine backend"
    -debug xcb
* dev-libs/soprano::kde4-experimental [N scm]
    Reasons: *kde-base/kdelibs-scm:kde-svn::kde4-experimental
    "Soprano is a library which provides a nice QT interface to RDF storage solutions."
    clucene -debug -doc -redland sesame2 elibc: (-FreeBSD)
* x11-libs/qt-svg :4 [D 4.5.0 -> 4.4.2]
    Reasons: kde-base/kate-scm:kde-svn::kde4-experimental, kde-base/kdelibs-scm:kde-svn::kde4-experimental, 1 more
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-webkit :4 [D 4.5.0 -> 4.4.2-r1]
    Reasons: kde-base/kate-scm:kde-svn::kde4-experimental, kde-base/kdelibs-scm:kde-svn::kde4-experimental, 1 more
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-opengl :4 [D 4.5.0 -> 4.4.2]
    Reasons: kde-base/kdelibs-scm:kde-svn::kde4-experimental
    -custom-cxxflags+ -debug+ -pch+ qt3support+
* kde-base/kdelibs::kde4-experimental :kde-svn [S scm] <kde-deps-scm>
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental, *kde-base/kdepimlibs-scm:kde-svn::kde4-experimental
    3dnow+ acl alsa (-altivec)+ -bindist bzip2+ -debug -doc fam -htmlhandbook+ jpeg2k kerberos mmx+ nls+ openexr opengl+ semantic-desktop+ -spell sse+ sse2+ ssl+ -test+ zeroconf+
* server-pim/akonadi-server::kde4-experimental [N scm] <kde-deps-scm>
    Reasons: *kde-base/kdepimlibs-scm:kde-svn::kde4-experimental
    "The server part of Akonadi"
    -mysql
* app-crypt/gpgme :1 [D 1.1.8 -> 1.1.6]
    Reasons: kde-base/kdepimlibs-scm:kde-svn::kde4-experimental
    -pth
    938.76 kBytes to download
* kde-base/kdepimlibs::kde4-experimental :kde-svn [N scm] <kde-deps-scm>
    Reasons: *kde-base/kate-scm:kde-svn::kde4-experimental
    "Common library for KDE PIM apps."
    -debug -htmlhandbook ldap sasl -test
* kde-base/kate::kde4-experimental :kde-svn [S scm] <kde-scm>
    -debug -htmlhandbook+ plasma+

Total: 39 packages (6 new, 17 upgrades, 13 downgrades, 3 in new slots), 225.25 MBytes to download and 1 suggestion

General sets:

* kde-deps-scm
* kde-scm


thanks in advance
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Fri Mar 13, 2009 7:26 am    Post subject: Reply with quote

beso_1717 wrote:
now i have another problem. paludis now triggers an eapi error on a quite large number of kdesvn packages. has anyone had this issue?!


I've an idea as to the reason but no real solution. There was an update to cmake-utils.eclass which now won't accept kdebuild-1 EAPI :

http://trac.pioto.org/paludis/ticket/741

I've tried putting an edited version in the kde4-experimental repo, but although some apps install fine others aren't finding required libs so I'm guessing that more has changed than just the first lines... anyone?

EDIT : I'm sure it's not perfect, but it works for me! I copied cmake-utils.eclass to kde4-experimental/eclass. Added "subversion" to the inherit line & changed "1|0) ;;" to "1|0|kdebuild-1) ;;" Other than a fistful of stale cache file warnings all seems to be going well - so far.


Quote:
'Tell the genkdesvn maintainers to have a working copy of this eclass in their overlay.' Ingmar
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Fri Mar 13, 2009 1:54 pm    Post subject: Reply with quote

enzobelmont wrote:
ever time i try to install kde4svn my system wants downgrade qt 5.4 to qt 4.2.2

any idea?
thanks in advance


try adding --dl-downgrade error as a paludis option.
the kde-svn branch *needs* qt-4.5 to work and downgrading it would prevent kdelibs-scm to compile. maybe you've got the packages compiled on your system and now they need rebuild them in order to have the downgrade go away.
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Fri Mar 13, 2009 3:22 pm    Post subject: Reply with quote

2dimm wrote:
beso_1717 wrote:
now i have another problem. paludis now triggers an eapi error on a quite large number of kdesvn packages. has anyone had this issue?!


I've an idea as to the reason but no real solution. There was an update to cmake-utils.eclass which now won't accept kdebuild-1 EAPI :

http://trac.pioto.org/paludis/ticket/741

I've tried putting an edited version in the kde4-experimental repo, but although some apps install fine others aren't finding required libs so I'm guessing that more has changed than just the first lines... anyone?

EDIT : I'm sure it's not perfect, but it works for me! I copied cmake-utils.eclass to kde4-experimental/eclass. Added "subversion" to the inherit line & changed "1|0) ;;" to "1|0|kdebuild-1) ;;" Other than a fistful of stale cache file warnings all seems to be going well - so far.


Quote:
'Tell the genkdesvn maintainers to have a working copy of this eclass in their overlay.' Ingmar


This morning, I rebuilt kde 4 without any complains from paludis, and without having to edit anything manually. All I did was a paludis --sync kde4-experimental, which if I remember correctly, only changed a couple of packages.
_________________
Stefano
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Sat Mar 14, 2009 9:26 am    Post subject: Reply with quote

Stefano Crocco wrote:


This morning, I rebuilt kde 4 without any complains from paludis, and without having to edit anything manually. All I did was a paludis --sync kde4-experimental, which if I remember correctly, only changed a couple of packages.


well, yesterday it has been added the custom cmake eclass that allows to build also packages with EAPI=kdebuild-1 and a chage in the gks eclass.
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 9

PostPosted: Mon Mar 16, 2009 11:35 pm    Post subject: Reply with quote

For a few weeks now I have been trying to get KDE to work with NetworkManager, but I cannot seem to get solid to compile with the networkmanager use flag.

These packages will be installed:

* kde-base/solid::kde4-experimental :kde-svn [R scm] <target>
bluetooth (-networkmanager) build_options: -split -strip

is the output from paludis. I am unfamilar with the form that the networkmanager use flag is listed in. net-misc/networkmanager-0.7 is installed and the use flag is definatly listed in my use.conf. Any ideas?
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Wed Mar 18, 2009 4:32 am    Post subject: Reply with quote

kde4 STILL wants downgrade my qt4.5 install
Code:
These packages will be installed:

* x11-libs/qt-core :4 [D 4.5.0 -> 4.4.2-r2]
    Reasons: *x11-libs/qt-dbus-4.4.2:4::gentoo, *x11-libs/qt-gui-4.4.2-r3:4::gentoo, 5 more
    -custom-cxxflags+ -debug+ -doc+ glib+ iconv+ -pch+ qt3support+ ssl+
    100.45 MBytes to download
* x11-libs/qt-script :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-dbus :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-gui :4 [D 4.5.0 -> 4.4.2-r3]
    Reasons: *x11-libs/qt-core-4.4.2-r2:4::gentoo, *x11-libs/qt-qt3support-4.4.2:4::gentoo
    accessibility+ cups+ -custom-cxxflags+ dbus+ -debug+ glib+ mng+ -nas+ -nis+ -pch+ qt3support+ tiff+ -xinerama+ input_devices: -wacom+
* x11-libs/qt-sql :4 [D 4.5.0 -> 4.4.2-r1]
    Reasons: *x11-libs/qt-qt3support-4.4.2:4::gentoo
    -custom-cxxflags+ -debug+ -firebird+ iconv+ -mysql+ -odbc+ -pch+ -postgres+ qt3support+ sqlite+
* x11-libs/qt-qt3support :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    accessibility+ -custom-cxxflags+ -debug+ -pch+
* kde-base/automoc::kde4-experimental [N scm] <target>
    "KDE Meta Object Compiler"

Total: 7 packages (1 new, 6 downgrades), 100.45 MBytes to download


i'm desperated
i've re-emerged a lot of packages and nothing works...
thanks
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Wed Mar 18, 2009 7:42 am    Post subject: Reply with quote

enzobelmont wrote:
kde4 STILL wants downgrade my qt4.5 install
Code:
These packages will be installed:

* x11-libs/qt-core :4 [D 4.5.0 -> 4.4.2-r2]
    Reasons: *x11-libs/qt-dbus-4.4.2:4::gentoo, *x11-libs/qt-gui-4.4.2-r3:4::gentoo, 5 more
    -custom-cxxflags+ -debug+ -doc+ glib+ iconv+ -pch+ qt3support+ ssl+
    100.45 MBytes to download
* x11-libs/qt-script :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-dbus :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    -custom-cxxflags+ -debug+ -pch+
* x11-libs/qt-gui :4 [D 4.5.0 -> 4.4.2-r3]
    Reasons: *x11-libs/qt-core-4.4.2-r2:4::gentoo, *x11-libs/qt-qt3support-4.4.2:4::gentoo
    accessibility+ cups+ -custom-cxxflags+ dbus+ -debug+ glib+ mng+ -nas+ -nis+ -pch+ qt3support+ tiff+ -xinerama+ input_devices: -wacom+
* x11-libs/qt-sql :4 [D 4.5.0 -> 4.4.2-r1]
    Reasons: *x11-libs/qt-qt3support-4.4.2:4::gentoo
    -custom-cxxflags+ -debug+ -firebird+ iconv+ -mysql+ -odbc+ -pch+ -postgres+ qt3support+ sqlite+
* x11-libs/qt-qt3support :4 [D 4.5.0 -> 4.4.2]
    Reasons: *x11-libs/qt-gui-4.4.2-r3:4::gentoo
    accessibility+ -custom-cxxflags+ -debug+ -pch+
* kde-base/automoc::kde4-experimental [N scm] <target>
    "KDE Meta Object Compiler"

Total: 7 packages (1 new, 6 downgrades), 100.45 MBytes to download


i'm desperated
i've re-emerged a lot of packages and nothing works...
thanks


I'm not sure it's kde's fault. Unless I've missed it, the reasons reported by paludis don't include any kde package. Try this:

Code:
paludis -pi --dl-upgrade always --dl-update-scm never world


If you still get the downgrade, I think you can rule out a problem with kde, since here you explicitly tell paludis not to update scm packages, including kde.

In my opinion, the most likely cause for your problem is that you still have some qt 4.4 package installed. You can check this using inquisitio:

Code:

inquisitio --no-compact -m pcre -s qt -K installed


Note that this command sometimes makes inquisitio crash. If you can't make it work, you can also use eix (after using update-eix to be sure its database is up to date):
Code:

eix -I --compact qt

_________________
Stefano
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Wed Mar 18, 2009 8:25 am    Post subject: Reply with quote

After updating kde yesterday, I noticed that the oxygen icon set had suddenly disappeared. This morning, after a bit of investigation, I finally found out why on the kde web svn: it seems that those icons were moved from kdebase/runtime/pics to kdesupport. I tried writing an ebuild for it. It works, but gives a lots of warnings which I'm not sure how to fix. Besides (but maybe this is intended), it installs the icons in /usr/share instead of /usr/kde/svn. I'm posting it here all the same, in case someone wants to use it until someone else makes a good one. Here's the code (it's simply the ebuild for automoc with a couple of lines changed):

Code:
inherit subversion cmake-utils

DESCRIPTION="The Oxygen icon set"
HOMEPAGE="http://www.kde.org"
SRC_URI=""
ESVN_REPO_URI="svn://anonsvn.kde.org/home/kde/trunk/kdesupport/oxygen-icons"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="${RDEPEND}"



I called it oxygen-icons and put it under the kde-base category, but I think you can put it wherever you like.
_________________
Stefano
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Thu Mar 19, 2009 1:09 am    Post subject: Reply with quote

i'm very sorry for wasting your knowledge on me Stefano Crocco

my paludis version was very ooold, that was the main reason of all my dependencies problems.

thanks for your help. i'm back to compiling my kde4.
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Sun Mar 29, 2009 7:59 pm    Post subject: Reply with quote

it seems that now amarok depends on qtscriptgenerator package. a working live ebuild exists in the kde-testing overlay.
the problem is that amarok configure stops at the following point:

Quote:
(1 of 1) Installing media-sound/amarok-scm:kde-svn::aeskulap

>>> Running ebuild phase killold as root:root...
>>> Starting builtin_killold
>>> Done builtin_killold
>>> Completed ebuild phase killold
>>> Running ebuild phases init saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_init
>>> Done builtin_init
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases init saveenv
>>> Running ebuild phases loadenv setup saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting pkg_setup

* WARNING! This is an experimental ebuild of the extragear/multimedia KDE4 SVN tree.
* Use at your own risk. File a bug at https://www2.mailstation.de/bugzilla if you
* run into problems. Or join #genkdesvn on the great Freenode IRC network.

>>> Done pkg_setup
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv setup saveenv
>>> Running ebuild phases loadenv unpack saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_unpack
* Fetching disabled since 1 hours has not passed since last update.
* Using existing repository copy at revision 946619.
* working copy: /var/tmp/distfiles/svn-src/KDE/extragear/multimedia/multimedia

* Exporting parts of working copy to /var/tmp/paludis/media-sound-amarok-scm/work/amarok
>>> Done src_unpack
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv unpack saveenv
>>> Running ebuild phases loadenv compile saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_compile
loading initial cache file /var/tmp/paludis/media-sound-amarok-scm/temp//gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.0 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon Version: 4.3.50
-- Found Phonon: /usr/lib64/libphonon.so
-- Found Phonon Includes: /usr/kde/svn/include/KDE;/usr/kde/svn/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.3 include dir: /usr/kde/svn/include
-- Found KDE 4.3 library dir: /usr/kde/svn/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/kde/svn/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found KdeMultimedia: /usr/kde/svn/lib64/libkcddb.so;/usr/kde/svn/lib64/libkcompactdisc.so
-- found libxine, version 1.1.90
-- Could NOT find XINE 1.1.1 or greater (missing: XINE_VERSION_OK)
-- Taglib found: -L/usr/lib64 -ltag
-- Performing Test HAVE_MYSQL_OPT_EMBEDDED_CONNECTION
-- Performing Test HAVE_MYSQL_OPT_EMBEDDED_CONNECTION - Success
-- Found MySQL: /usr/include/mysql, /usr/lib64/libmysqlclient.so
-- Found MySQL Embedded: /usr/include/mysql, /usr/lib64/mysql/libmysqld.a
-- checking for module 'taglib-extras>='
Must specify package names on the command line
-- package 'taglib-extras>=' not found
-- Found Taglib-Extras: /usr/include/taglib-extras
-- Looking for dlopen in dl
-- Looking for dlopen in dl - found
-- Taglib found: -L/usr/lib64 -ltag
-- Performing Test COMPLEX_TAGLIB_FILENAME
-- Performing Test COMPLEX_TAGLIB_FILENAME - Failed
-- Checking if the QtScript Qt Bindings are installed.
-- includes /usr/include/qt4/QtCore;/usr/include/qt4/QtScript;/usr/kde/svn/include;/usr/kde/svn/include/KDE;/usr/kde/svn/include/KDE;/usr/kde/svn/include;/usr/include/qt4/QtXmlPatterns;/usr/include/qt4/QtWebKit;/usr/include/qt4/QtHelp;/usr/include/qt4/QtAssistant;/usr/include/qt4/QtDBus;/usr/include/qt4/QtTest;/usr/include/qt4/QtUiTools;/usr/include/qt4/QtScript;/usr/include/qt4/QtSvg;/usr/include/qt4/QtXml;/usr/include/qt4/QtSql;/usr/include/qt4/QtOpenGL;/usr/include/qt4/QtNetwork;/usr/include/qt4/QtDesigner;/usr/include/qt4/QtDesigner;/usr/include/qt4/QtAssistant;/usr/include/qt4/Qt3Support;/usr/include/qt4/QtGui;/usr/include/qt4/QtCore;/usr/include/qt4/Qt;/usr/share/qt4/mkspecs/default;/usr/include/qt4;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include libraries /usr/lib64/qt4/libQtScript.so;/usr/lib64/qt4/libQtCore.so;-lpthread;-L/usr/kde/svn/lib64;-lkdecore;-lkdeui
-- Performing Test BINDINGS_RUN_RESULT


has anyone been able to go further?!
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Mon Mar 30, 2009 11:04 am    Post subject: Reply with quote

Quote:
has anyone been able to go further?!


After reading http://amarok.kde.org/forum/index.php?topic=16675.msg27012 I added this into ebuild under src_compile before 'mycmakeargs="${mycmakeargs}'

sed -i '/find_package( QtScript/d' ${WORKDIR}/${PN}/amarok/CMakeLists.txt
sed -i '/macro_log_feature( QTSCRIPT/d' ${WORKDIR}/${PN}/amarok/CMakeLists.txt

It seems to work ok - ie. builds fine & scripts work
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Tue Mar 31, 2009 3:35 am    Post subject: Reply with quote

2dimm wrote:
Quote:
has anyone been able to go further?!


After reading http://amarok.kde.org/forum/index.php?topic=16675.msg27012 I added this into ebuild under src_compile before 'mycmakeargs="${mycmakeargs}'

sed -i '/find_package( QtScript/d' ${WORKDIR}/${PN}/amarok/CMakeLists.txt
sed -i '/macro_log_feature( QTSCRIPT/d' ${WORKDIR}/${PN}/amarok/CMakeLists.txt

It seems to work ok - ie. builds fine & scripts work


ok! thanks, amarok compiles fine now.

just one more thing... amarok still..... sucks!

its design is UGLY.. it's a shame... but i respect amarok2 devs.
i'm still waiting for a diferent layout.

oh! BTW my lyric plugin/script do not work
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Tue Mar 31, 2009 8:58 am    Post subject: Reply with quote

enzobelmont wrote:
BTW my lyric plugin/script do not work


Works fine here so don't give up! qtscriptgenerator is now in the repo together with update for amarok - the first works fine but amarok still stalls at BINDINGS_RUN_RESULT unless I modify ebuild. Maybe I'm just impatient :-)
Back to top
View user's profile Send private message
itchy67x
n00b
n00b


Joined: 12 Jan 2008
Posts: 5

PostPosted: Mon Apr 06, 2009 2:04 pm    Post subject: Reply with quote

i have problem to update x11-libs/qtscriptgenerator

i get this message:

paludis@1239026991: [WARNING e.ebuild.metadata.unusable] No usable metadata for 'x11-libs/qtscriptgenerator-scm::kde4-experimental'
* x11-libs/qtscriptgenerator
kde4-experimental: (scm)E* {:(none)}
Captured stderr:
!!! ERROR in x11-libs/qtscriptgenerator-scm:
!!! In source at line 25
!!! Unknown EAPI, Bug eclass maintainers.
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Mon Apr 06, 2009 3:52 pm    Post subject: Reply with quote

New git.eclass in portage - altering it pretty much as for the cmake-utils.eclass in kde4-experimental does the trick - it also affects paludis-scm.

(sorry for the second edit - i was crap earlier :oops: )


Last edited by 2dimm on Wed Apr 08, 2009 5:37 pm; edited 2 times in total
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Tue Apr 07, 2009 7:38 am    Post subject: Reply with quote

For the last two or three weeks I've been having a problem attempting to build kde programs by hand. In particular, I noticed this when building the ruby kde bindings, for which an ebuild doesn't as yet exist. Until that time, I simply checked out the kdebindings directory with svn, then used cmake, make and make install to install it. Now, when I run cmake, it fails to find phonon and stops (even though phonon should be an optional library for the ruby bindings). I thought that something might have changed in the kdebindings CMakeLists.txt files, but looking at the corresponding directory in the kde web svn, I found out that wasn't the case.

To find out whether the problem was in kdebindings, in my sistem or somewhere else, I decided to try and build by hand another package, kdeutils. Surprisingly, I got exactly the same error with cmake. I said surprisingly because I had just installed parts of kdeutils using paludis without problems. I reinstalled one of the related packages with paludis and, while looking at the output I noticed this line:

Code:

loading initial cache file /var/tmp/paludis/kde-base-kuser-scm/temp//gentoo_common_config.cmake


It seems that here paludis is providing cmake with data which (I assume) it wouldn't get (or at least get wrong) otherwise.

To find out which data it was, I looked in the cmake-utils.eclass file and saw the file was automatically generated by each ebuild before running cmake. So, while a package was being built, I copied its gentoo_common_config.cmake somewhere else, then attempted rebuilding kdebindings passing that cache file to cmake with the -C command line option and... it worked.

Here are the contents of gentoo_commong_config.cmake:

Code:
SET(CMAKE_C_COMPILER /usr/lib/ccache/bin/i686-pc-linux-gnu-gcc CACHE STRING "package building C compiler")
SET(CMAKE_CXX_COMPILER /usr/lib/ccache/bin/i686-pc-linux-gnu-g++ CACHE STRING "package building C++ compiler")
  SET(CMAKE_C_CREATE_SHARED_LIBRARY
      "<CMAKE_C_COMPILER> <CMAKE_SHARED_LIBRARY_C_FLAGS> <LANGUAGE_COMPILE_FLAGS> <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_C_FLAGS> <CMAKE_SHARED_LIBRARY_SONAME_C_FLAG><TARGET_SONAME> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb -o <TARGET> <OBJECTS> <LINK_LIBRARIES>" CACHE STRING "")
  SET(CMAKE_CXX_CREATE_SHARED_LIBRARY
      "<CMAKE_CXX_COMPILER> <CMAKE_SHARED_LIBRARY_CXX_FLAGS> <LANGUAGE_COMPILE_FLAGS> <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> <CMAKE_SHARED_LIBRARY_SONAME_CXX_FLAG><TARGET_SONAME> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb -o <TARGET> <OBJECTS> <LINK_LIBRARIES>" CACHE STRING "")
  SET(CMAKE_C_COMPILE_OBJECT
    "<CMAKE_C_COMPILER> <DEFINES> <FLAGS> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb -o <OBJECT>   -c <SOURCE>" CACHE STRING "")
  SET(CMAKE_CXX_COMPILE_OBJECT
    "<CMAKE_CXX_COMPILER>  <DEFINES> <FLAGS> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb -o <OBJECT> -c <SOURCE>" CACHE STRING "")
  SET(CMAKE_C_LINK_EXECUTABLE
    "<CMAKE_C_COMPILER> <FLAGS> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb <CMAKE_C_LINK_FLAGS> <LINK_FLAGS> -Wl,-O1 <OBJECTS>  -o <TARGET> <LINK_LIBRARIES>" CACHE STRING "")
  SET(CMAKE_CXX_LINK_EXECUTABLE
    "<CMAKE_CXX_COMPILER>  <FLAGS> -O2 -march=pentium4 -pipe -g -ggdb -g -ggdb <CMAKE_CXX_LINK_FLAGS> <LINK_FLAGS> -Wl,-O1 <OBJECTS>  -o <TARGET> <LINK_LIBRARIES>" CACHE STRING "")
SET(CMAKE_INSTALL_PREFIX /usr/kde/svn CACHE FILEPATH "install path prefix")
SET(LIB_SUFFIX  CACHE FILEPATH "library path suffix")
SET(LIB_INSTALL_DIR /usr/kde/svn/lib CACHE FILEPATH "library install directory")

SET(CMAKE_BUILD_TYPE Release CACHE STRING "determines build settings")


Now, I have three questions:

  • What has changed in the last weeks which prevents a simple cmake run to detect phonon? Unless I'm missing something, it seems that all the kde installation has remained the same.
  • Why using this cache file makes cmake work? I'm not a cmake expert, but I can't understand what this file provides which allows cmake to succeed when without it, it fails.
  • What is the correct way to install a kde package by hand? Is it necessary to copy the above file somewhere else and pass it to cmake as I did, or (as I hope) there's a better way?


Thanks in advance
_________________
Stefano
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Wed Apr 08, 2009 5:31 pm    Post subject: Reply with quote

Beware revision to kdepimlibs-scm : quotes in line 30 are not closed at end of line 31
Back to top
View user's profile Send private message
tgurr
Retired Dev
Retired Dev


Joined: 27 Jan 2004
Posts: 571
Location: germany

PostPosted: Thu Apr 09, 2009 7:03 am    Post subject: Reply with quote

itchy67x wrote:
i have problem to update x11-libs/qtscriptgenerator

This is "fixed" for now, please sync and retry.
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Thu Apr 30, 2009 9:53 am    Post subject: Reply with quote

Since about one week, plasma-workspace fails to build for me. The error message is this:

Code:

/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/../../../../i686-pc-linux-gnu/bin/ld:CMakeFiles/plasma_applet-system-monitor.dir/monitoricon.o: file format not recognized; treating as linker script
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/../../../../i686-pc-linux-gnu/bin/ld:CMakeFiles/plasma_applet-system-monitor.dir/monitoricon.o:2: syntax error


I tried looking at the changes to that the system monitor applet in the kde web svn, but I couldn't find anything obviously related to this (by the way, the webbrowser applet also produces the same error). Has anyone experienced something similar?

Thanks
_________________
Stefano
Back to top
View user's profile Send private message
2dimm
n00b
n00b


Joined: 10 Jun 2005
Posts: 52
Location: Brussels, Belgium

PostPosted: Fri May 15, 2009 8:01 am    Post subject: Reply with quote

In case there is anyone else out there the problems compiling kdepim apps is due to upstream removal of CMakeLists.txt from cmake/modules. Removing kdepim from line 259 of eclass gks-meta fixed it for me.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7
Page 7 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum